Loading...
Searching...
No Matches
IPC Helpers

## Functions

void | L4::throw_ipc_exception (L4::Cap< void > const &o, l4_msgtag_t const &err, l4_utcb_t *utcb)
| Throw an L4 IPC error as exception.
void | L4::throw_ipc_exception (void const *o, l4_msgtag_t const &err, l4_utcb_t *utcb)
| Throw an L4 IPC error as exception.

## Detailed Description

## Function Documentation

## throw_ipc_exception() [1/2]

void L4::throw_ipc_exception | ( | L4::Cap< void > const & | o,
|  | l4_msgtag_t const & | err,
|  | l4_utcb_t * | utcb )

inline

Throw an L4 IPC error as exception.

Parameters

  o | The client side object, for which the IPC was invoked.
  err | The IPC result code (error code).
  utcb | UTCB to be used for this operation, shall be the UTCB of the calling thread. See l4_utcb.

Definition at line 34 of file ipc_helper.

References l4_msgtag_t::has_error().

Referenced by throw_ipc_exception().

Here is the call graph for this function:
Here is the caller graph for this function:

## throw_ipc_exception() [2/2]

void L4::throw_ipc_exception | ( | void const * | o,
|  | l4_msgtag_t const & | err,
|  | l4_utcb_t * | utcb )

inline

Throw an L4 IPC error as exception.

Parameters

  o | The client side object, for which the IPC was invoked.
  err | The IPC result code (error code).
  utcb | UTCB to be used for this operation, shall be the UTCB of the calling thread. See l4_utcb.

Definition at line 50 of file ipc_helper.

References throw_ipc_exception().

Here is the call graph for this function: